unit NResource;

{$IMPORTEDDATA OFF}

interface

function ResourceText(const Name: string): string;

implementation

uses Windows, NSys;

function ResourceText(const Name: string): string;
var
  r: HRSRC;
  g: HGLOBAL;
begin
  r := FindResource(0, PChar(Name), 'TEXT');
  if r = 0 then raise EOSError.Create;
  g := LoadResource(0, r);
  if g = 0 then raise EOSError.Create;
  SetString(Result, PChar(LockResource(g)), SizeofResource(0, r));
end;

end.
